1.6.2 Upgrading from MetaDefender Kiosk 3.X

Migrating a deployment from MetaDefender Kiosk 3.X to MetaDefender Kiosk 4.0.0 or later requires additional steps because of the differences in Kiosk 3.X and 4.X.
In addition to the standard upgrade procedure, be aware of the following when upgrading from MetaDefender Kiosk 3.X to MetaDefender Kiosk 4.0.0 or later.

New Features in MetaDefender Kiosk 4.X

  1. Completely revamped Kiosk user interface

  2. Addition of an optional 'Disclaimer' page in the MetaDefender Kiosk workflow

  3. Support for multiple end user selected languages in Kiosk UI

Additional Upgrade Considerations

  1. MetaDefender Kiosk 4.X uses a different licensing mechanism than MetaDefender Kiosk 3.X. Please contact OPSWAT to obtain your replacement license for MetaDefender Kiosk 4.X

  2. MetaDefender Kiosk backup configurations from 3.X can not be imported to 4.X

  3. MetaDefender Kiosk 4.X requires MetaDefender Core 4.7.2 or later

  4. MetaDefender Kiosk 4.X only supports installation on 64-bit operating systems